Subject: Re: Delays in DNS vs. delays in pull-based mapping

From: Bill Manning <[email-masked]>
Date: Mon, 2 Feb 2009 06:00:44 -0800

On Sat, Jan 31, 2009 at 03:47:11PM -0800, Yakov Rekhter wrote:
> Christian,
> 
> > 
> > [ Forked from thread:  "Please respond: Questions from the IESG as to
> > whether a WG forming BOF is necessary for LISP". ]
> > 
> > 
> > On Jan 28, 2009, Noel Chiappa wrote:
> > 
> > > Also, what percentage of DNS resolutions take more than one round-trip
> > > (because of the use of multi-level DNS names)? Surely that's an even
> > > worse delay (several round-trips, as opposed to simply a few extra
> > > hops), but I don't think I've heard complaints about that?
> > 
> > 
> > Noel -
> > 
> > There are two significant differences between the delays introduced by
> > DNS during hostname resolution, and the delays introduced by a pull-
> > based mapping system:
> > 
> > - DNS-related delays do not affect transport protocols, whereas pull-
> >    based mapping systems do.
> > 
> > - DNS does not create off-path dependencies for routing, whereas a
> >    pull-based mapping system does.  In pull-based mapping systems, at
> >    least the mapping requests must travel via an overlay because the
> >    direct routing path is not yet known at the request time.  This
> >    creates an off-path dependency for routing.
> > 
> > The first bullet is a performance issue.  Experimentation could help in
> > finding out how much of a problem this is.  The second bullet is a
> > robustness issue.  More analysis and discussion would help to better
> > understand the consequences of this.
> 
> There is yet another difference - when an ITR goes down, all the
> flows that used to go through that ITR would need to be re-routed
> through some other ITR(s). But in order for that other ITR(s) to correctly
> forward these flows, that other ITR(s) needs to acquire mapping for
> all these flows. What would these other ITR(s) do with the data
> arriving on these flows, as these ITRs are acquiring the mapping ?
> What impact would that have on the overall system performance ?
> 
> There is no analogy to this in the context of name resolution (DNS).
> 
> Yakov.
> _______________________________________________

In simpler times, when packet-based forwarding was in vogue, there was little concept of
state/flow etc. the DNS retains this design characteristic.  A (perhaps naive) presumption
would be that when an ITR goes down, all the associated flows would be dropped and recomputed
based on the then current topology.  Any data "in flight" would be dropped as well and would 
have to be resent. 

-- 
--bill

Opinions expressed may not even be mine by the time you read them, and
certainly don't reflect those of any other entity (legal or otherwise).

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/routing-discussion